package cn.superdesk.uniorder.dao.mapper.operationCenter.accounting;

import cn.superdesk.uniorder.dao.entity.operationCenter.accounting.UnifiedAccountingOrder;
import cn.superdesk.uniorder.dao.entity.operationCenter.accounting.UnifiedAccountingOrderExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnifiedAccountingOrderMapper {
    long countByExample(UnifiedAccountingOrderExample example);

    int deleteByExample(UnifiedAccountingOrderExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedAccountingOrder record);

    int insertSelective(UnifiedAccountingOrder record);

    List<UnifiedAccountingOrder> selectByExample(UnifiedAccountingOrderExample example);

    UnifiedAccountingOrder selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedAccountingOrder record, @Param("example") UnifiedAccountingOrderExample example);

    int updateByExample(@Param("record") UnifiedAccountingOrder record, @Param("example") UnifiedAccountingOrderExample example);

    int updateByPrimaryKeySelective(UnifiedAccountingOrder record);

    int updateByPrimaryKey(UnifiedAccountingOrder record);
}